%define oname esdl
%define erlang_libdir %{_libdir}/erlang/lib

Summary:        Erlang OpenGL/SDL api and utilities
Name:           erlang-%{oname}
Version:        0.96.0626
Release:        %mkrel 13
Group:          Development/Other
License:        BSD
URL:            http://esdl.sourceforge.net
Source:		http://download.sourceforge.net/esdl/%{oname}-%{version}.src.tar.bz2
Patch0:		%{oname}-0.96.0626-optflags.patch
BuildRequires:  SDL-devel
BuildRequires:	mesa-common-devel
BuildRequires:	erlang-compiler		>= R11B-7
BuildRequires:	erlang-devel		>= R11B-7
Requires:	erlang-base		>= R11B-7
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
A library that gives you access to SDL and OpenGL functionality in
your Erlang program.

%package devel
Summary:	Development files for ESDL
Group:          Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	erlang-devel >= R11B-6
Requires:	SDL-devel
Requires:	mesa-common-devel

%description devel
Development files for ESDL.

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

perl -pi -e 's|INSTALLDIR = |INSTALLDIR = \$(DESTDIR)|' Makefile

%build
export CFLAGS="%{optflags}"
%make
pushd test
%make
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{erlang_libdir}

%makeinstall_std

pushd test
mv -f *.beam %{buildroot}%{erlang_libdir}/esdl-%{version}/ebin
popd

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{erlang_libdir}/esdl-%{version}/license.terms
%doc %{erlang_libdir}/esdl-%{version}/Readme
%dir %{erlang_libdir}/esdl-%{version}
%dir %{erlang_libdir}/esdl-%{version}/ebin
%dir %{erlang_libdir}/esdl-%{version}/priv
%attr(755,root,root) %{erlang_libdir}/esdl-%{version}/priv/*.so
%{erlang_libdir}/esdl-%{version}/ebin/*.beam
%{erlang_libdir}/esdl-%{version}/vsn
%exclude %{erlang_libdir}/esdl-%{version}/include
%exclude %{erlang_libdir}/esdl-%{version}/src
%exclude %{erlang_libdir}/esdl-%{version}/Readme.*

%files devel
%defattr(644,root,root,755)
%doc %{erlang_libdir}/esdl-%{version}/doc
%{erlang_libdir}/esdl-%{version}/include
%{erlang_libdir}/esdl-%{version}/src
%{erlang_libdir}/esdl-%{version}/c_src


%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.96.0626-13mdv2009.0
+ Revision: 244931
- rebuild

* Wed Feb 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-11mdv2008.1
+ Revision: 175942
- rebuild against new erlang

* Tue Jan 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-10mdv2008.1
+ Revision: 156016
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-9mdv2008.1
+ Revision: 119097
- rebuild against new erlang

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-8mdv2008.0
+ Revision: 40660
- provide patch 0 (compile with %%optflags)
- own missing devel files (not sure if those are really useful :)
- add tests (like testgl,testsprite ... see readme file)

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-7mdv2008.0
+ Revision: 40431
- rebuild for erlang

* Wed May 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-6mdv2008.0
+ Revision: 20574
- correct buildrequires once again...

* Wed May 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-5mdv2008.0
+ Revision: 20376
- fix typo in -devel requires :(

* Tue May 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-4mdv2008.0
+ Revision: 20169
- add requires
- bump release tag

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-3mdv2008.0
+ Revision: 19354
- rebuild against new erlang

* Sun Apr 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-2mdv2008.0
+ Revision: 19079
- fix erlang library path
- spec file clean


* Mon Mar 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96.0626-1mdv2007.0
+ Revision: 132966
- Import erlang-esdl

